พบบั๊กร้ายแรงบน WhatsApp ที่ใช้เจาะอุปกรณ์จากระยะไกลได้

ทาง WhatsApp ได้ปล่อยตัวอัปเดตด้านความปลอดภัยมาแก้ไขช่องโหว่สองรายการบนแอพทั้งฝั่งแอนดรอยด์และ iOS ที่อาจนำไปสู่การรันโค้ดอันตรายจากระยะไกลบนอุปกรณ์ได้ โดยหนึ่งในสองรายการนี้ได้แก่ CVE-2022-36934 (CVSS score: 9.8)

ซึ่งเป็นช่องโหว่ร้ายแรงแบบ Interger Overflow ใน WhatsApp ที่ทำให้รันโค้ดอันตรายที่ต้องการได้เพียงแค่ต่อสายวิดีโอวอล พบบนแอพ WhatsApp และ WhatsApp Business ทั้งบนแอนดรอยด์และ iOS เวอร์ชั่นก่อนหน้า 2.22.16.12

นอกจากนี้ยังมีการแพ็ตช์บั๊กอีกตัวหนึ่งที่เป็นแบบ Interger Underflow ด้วย ที่เป็นรูปแบบความผิดพลาดที่ตรงข้ามกันกับ Overflow ในแง่ที่มีการทำผลลัพธ์ของการประมวลผลเล็กมากเกินไปที่จะจัดเก็บในพื้นที่หน่วยความจำที่จัดไว้ให้

อีกช่องโหว่หนึ่งได้แก่ CVE-2022-27492 (CVSS score: 7.8) กระทบกับ WhatsApp for Android เวอร์ชั่นก่อนหน้า 2.22.16.2 และ WhatsApp for iOS เวอร์ชั่นก่อนหน้า 2.22.15.9 ที่ถูกใช้โจมตีได้เมื่อได้รับไฟล์วิดีโอที่สร้างขึ้นมาเป็นพิเศษ

อ่านเพิ่มเติมที่นี่ – THN

from:https://www.enterpriseitpro.net/critical-whatsapp-bugs-could-have-let-attackers-hack-devices-remotely/